scroston
Posts: 2
Joined: Mon Mar 29, 2021 8:50 pm
Location: Clermont, FL

Missing Correct OpenSSL Librarys for S3D v4

Upon installing S3D on my Linux PC running Ubuntu 20.4, S3D won't start due to missing openSSL components. I tracked down the one library, but it is missing it other pair. I got this: sudo ./LaunchScript.sh ./Simplify3D: symbol lookup error: ./libssl.so.1.0.0: undefined symbol: EVP_idea_cbc. I need to get both libraries to place in the install directory. Regards, Scott
RobZ_inT
Posts: 2
Joined: Sat Jul 24, 2021 4:50 pm

Re: Missing Correct OpenSSL Librarys for S3D v4

I just installed S3D on my laptop running Mint 202.2 and get the same error- it launched fine from the initial session with the installer. Were you ever able to resolve it?
staticlinerich
Posts: 2
Joined: Wed Aug 04, 2021 12:23 pm

Re: Missing Correct OpenSSL Librarys for S3D v4

Any resolution on this? I'm having the same issue. You would think S3D would read these forums and fix their software.
S3D-Jake
Posts: 994
Joined: Wed Jun 20, 2018 12:45 pm

Re: Missing Correct OpenSSL Librarys for S3D v4

Please try the tips from our FAQ about launching the software on Linux.

"I’m having trouble opening the software on my Linux computer" - https://www.simplify3d.com/support/faq/#quest-6346
"A bird does not sing because it has an answer. It sings because it has a song."

Return to “Troubleshooting and Bug Reports”